Board index » cppbuilder » How to remove message 'Package-Import can not be found: XYZ' before compiling?

How to remove message 'Package-Import can not be found: XYZ' before compiling?

Trying to compile a project built with a former version of BCB (and
some component X), before compling I get the message

    Package-Import can not be found:  XYZ

I tried to find this package entry somewhere in the project file to
remove this and the message, but without success.

Where do I have to look for XYZ (and if not obvious, how can I remove
this having to be imported)?

Thanks,

MR

 

Re:How to remove message 'Package-Import can not be found: XYZ' before compiling?


You are using a component of a .bpl library ( package ) and the
corresponding .bpi import library for the component can not be found.
Probably you need to set your Environment Library path to the directory
that contains the component's .bpi file.
Quote
MR wrote:
> Trying to compile a project built with a former version of BCB (and
> some component X), before compling I get the message

>     Package-Import can not be found:  XYZ

> I tried to find this package entry somewhere in the project file to
> remove this and the message, but without success.

> Where do I have to look for XYZ (and if not obvious, how can I remove
> this having to be imported)?

> Thanks,

> MR

Re:How to remove message 'Package-Import can not be found: XYZ' before compiling?


Edward,

thanks for your answer.

I'm quite sure, I do not use such a component of this library. Beside
my app,
I also have a BPR for a simple DLL not using any components and trying
to compile this, the messagebox for the packet also appears.

This packet was implemented inside the former version of BCB3 and I do
not
need it anymore.

So where is the reference to it?

Thanks again,

MR

Edward Diener <eddie...@abraxis.com> schrieb in im Newsbeitrag:
38F3E7D8.493AA...@abraxis.com...

Quote
> You are using a component of a .bpl library ( package ) and the
> corresponding .bpi import library for the component can not be
found.
> Probably you need to set your Environment Library path to the
directory
> that contains the component's .bpi file.

> MR wrote:

> > Trying to compile a project built with a former version of BCB
(and
> > some component X), before compling I get the message

> >     Package-Import can not be found:  XYZ

> > I tried to find this package entry somewhere in the project file
to
> > remove this and the message, but without success.

> > Where do I have to look for XYZ (and if not obvious, how can I
remove
> > this having to be imported)?

> > Thanks,

> > MR

Other Threads